[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.StartPushCell

Starts an operation to render a cell in its "pushed" state.

## Declaration

Source position: grids.pas line 1201

`protected procedure TCustomGrid.StartPushCell;`

## Description

StartPushCell updates the GridState property to the value gsButtonColumnClicking, and calls the DoPushCell method to cache and redraw the clicked cell.

StartPushCell is called from the MouseDown method when a mouse click has occurred over a cell using a button-style Editor in the non-fixed area for the grid control.